Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.config.heuristic.selector.common.nearby
Class NearbySelectionConfig

    java.lang.Object
      org.optaplanner.core.config.heuristic.selector.SelectorConfig
          org.optaplanner.core.config.heuristic.selector.common.nearby.NearbySelectionConfig

    public class NearbySelectionConfig

extends SelectorConfig

Field Summary
`protected Double` | `betaDistributionAlpha`
`protected Double` | `betaDistributionBeta`
`protected Integer` | `blockDistributionSizeMaximum`
`protected Integer` | `blockDistributionSizeMinimum`
`protected Double` | `blockDistributionSizeRatio`
`protected Double` | `blockDistributionUniformDistributionProbability`
`protected Integer` | `linearDistributionSizeMaximum`
`protected Class<? extends NearbyDistanceMeter>` | `nearbyDistanceMeterClass`
`protected EntitySelectorConfig` | `originEntitySelectorConfig`
`protected Integer` | `parabolicDistributionSizeMaximum`

Constructor Summary
`NearbySelectionConfig()`

Method Summary
`EntitySelector` | `applyNearbyEntitySelector(HeuristicConfigPolicy configPolicy, SelectionCacheType minimumCacheType, SelectionCacheType resolvedCacheType, SelectionOrder resolvedSelectionOrder, EntitySelector entitySelector)`
`ValueSelector` | `applyNearbyValueSelector(HeuristicConfigPolicy configPolicy, SelectionCacheType minimumCacheType, SelectionCacheType resolvedCacheType, SelectionOrder resolvedSelectionOrder, ValueSelector valueSelector)`
`protected NearbyRandom` | `buildNearbyRandom()`
`Double` | `getBetaDistributionAlpha()`
`Double` | `getBetaDistributionBeta()`
`Integer` | `getBlockDistributionSizeMaximum()`
`Integer` | `getBlockDistributionSizeMinimum()`
`Double` | `getBlockDistributionSizeRatio()`
`Double` | `getBlockDistributionUniformDistributionProbability()`
`Integer` | `getLinearDistributionSizeMaximum()`
`Class<? extends NearbyDistanceMeter>` | `getNearbyDistanceMeterClass()`
`EntitySelectorConfig` | `getOriginEntitySelectorConfig()`
`Integer` | `getParabolicDistributionSizeMaximum()`
`void` | `inherit(NearbySelectionConfig inheritedConfig)`
`void` | `setBetaDistributionAlpha(Double betaDistributionAlpha)`
`void` | `setBetaDistributionBeta(Double betaDistributionBeta)`
`void` | `setBlockDistributionSizeMaximum(Integer blockDistributionSizeMaximum)`
`void` | `setBlockDistributionSizeMinimum(Integer blockDistributionSizeMinimum)`
`void` | `setBlockDistributionSizeRatio(Double blockDistributionSizeRatio)`
`void` | `setBlockDistributionUniformDistributionProbability(Double blockDistributionUniformDistributionProbability)`
`void` | `setLinearDistributionSizeMaximum(Integer linearDistributionSizeMaximum)`
`void` | `setNearbyDistanceMeterClass(Class<? extends NearbyDistanceMeter> nearbyDistanceMeterClass)`
`void` | `setOriginEntitySelectorConfig(EntitySelectorConfig originEntitySelectorConfig)`
`void` | `setParabolicDistributionSizeMaximum(Integer parabolicDistributionSizeMaximum)`
`void` | `validateNearby(SelectionCacheType resolvedCacheType, SelectionOrder resolvedSelectionOrder)`

Methods inherited from class org.optaplanner.core.config.heuristic.selector.SelectorConfig
`deduceEntityDescriptor, deduceVariableDescriptor, deduceVariableDescriptors, inherit, toString, validateCacheTypeVersusSelectionOrder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### originEntitySelectorConfig

    protected EntitySelectorConfig originEntitySelectorConfig

### nearbyDistanceMeterClass

    protected Class<? extends NearbyDistanceMeter> nearbyDistanceMeterClass

### blockDistributionSizeMinimum

    protected Integer blockDistributionSizeMinimum

### blockDistributionSizeMaximum

    protected Integer blockDistributionSizeMaximum

### blockDistributionSizeRatio

    protected Double blockDistributionSizeRatio

### blockDistributionUniformDistributionProbability

    protected Double blockDistributionUniformDistributionProbability

### linearDistributionSizeMaximum

    protected Integer linearDistributionSizeMaximum

### parabolicDistributionSizeMaximum

    protected Integer parabolicDistributionSizeMaximum

### betaDistributionAlpha

    protected Double betaDistributionAlpha

### betaDistributionBeta

    protected Double betaDistributionBeta

Constructor Detail

### NearbySelectionConfig

    public NearbySelectionConfig()

Method Detail

### getOriginEntitySelectorConfig

    public EntitySelectorConfig getOriginEntitySelectorConfig()

### setOriginEntitySelectorConfig

    public void setOriginEntitySelectorConfig(EntitySelectorConfig originEntitySelectorConfig)

### getNearbyDistanceMeterClass

    public Class<? extends NearbyDistanceMeter> getNearbyDistanceMeterClass()

### setNearbyDistanceMeterClass

    public void setNearbyDistanceMeterClass(Class<? extends NearbyDistanceMeter> nearbyDistanceMeterClass)

### getBlockDistributionSizeMinimum

    public Integer getBlockDistributionSizeMinimum()

### setBlockDistributionSizeMinimum

    public void setBlockDistributionSizeMinimum(Integer blockDistributionSizeMinimum)

### getBlockDistributionSizeMaximum

    public Integer getBlockDistributionSizeMaximum()

### setBlockDistributionSizeMaximum

    public void setBlockDistributionSizeMaximum(Integer blockDistributionSizeMaximum)

### getBlockDistributionSizeRatio

    public Double getBlockDistributionSizeRatio()

### setBlockDistributionSizeRatio

    public void setBlockDistributionSizeRatio(Double blockDistributionSizeRatio)

### getBlockDistributionUniformDistributionProbability

    public Double getBlockDistributionUniformDistributionProbability()

### setBlockDistributionUniformDistributionProbability

    public void setBlockDistributionUniformDistributionProbability(Double blockDistributionUniformDistributionProbability)

### getLinearDistributionSizeMaximum

    public Integer getLinearDistributionSizeMaximum()

### setLinearDistributionSizeMaximum

    public void setLinearDistributionSizeMaximum(Integer linearDistributionSizeMaximum)

### getParabolicDistributionSizeMaximum

    public Integer getParabolicDistributionSizeMaximum()

### setParabolicDistributionSizeMaximum

    public void setParabolicDistributionSizeMaximum(Integer parabolicDistributionSizeMaximum)

### getBetaDistributionAlpha

    public Double getBetaDistributionAlpha()

### setBetaDistributionAlpha

    public void setBetaDistributionAlpha(Double betaDistributionAlpha)

### getBetaDistributionBeta

    public Double getBetaDistributionBeta()

### setBetaDistributionBeta

    public void setBetaDistributionBeta(Double betaDistributionBeta)

### validateNearby

    public void validateNearby(SelectionCacheType resolvedCacheType,
                               SelectionOrder resolvedSelectionOrder)

### applyNearbyEntitySelector

    public EntitySelector applyNearbyEntitySelector(HeuristicConfigPolicy configPolicy,
                                                    SelectionCacheType minimumCacheType,
                                                    SelectionCacheType resolvedCacheType,
                                                    SelectionOrder resolvedSelectionOrder,
                                                    EntitySelector entitySelector)

### applyNearbyValueSelector

    public ValueSelector applyNearbyValueSelector(HeuristicConfigPolicy configPolicy,
                                                  SelectionCacheType minimumCacheType,
                                                  SelectionCacheType resolvedCacheType,
                                                  SelectionOrder resolvedSelectionOrder,
                                                  ValueSelector valueSelector)

### buildNearbyRandom

    protected NearbyRandom buildNearbyRandom()

### inherit

    public void inherit(NearbySelectionConfig inheritedConfig)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2015 JBoss by Red Hat. All Rights Reserved.